Subject: Re: [PATCH] git-compat-util: convert skip_{prefix,suffix}{,_mem} to bool

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 Dec 2023 12:19:49 -0800

Phillip Wood <[email-masked]> writes:

> Thanks for the comprehensive commit message, I agree that we'd be
> better off avoiding adding a fallback. The patch looks good, I did
> wonder if we really need to covert all of these functions for a
> test-balloon but the patch is still pretty small overall.

I do have to wonder, though, if we want to be a bit more careful
than just blindly trusting the platform (i.e. <stdbool.h> might
exist and __STDC_VERSION__ may say C99, but under the hood their
implementation may be buggy and coerce the result of an assignment
of 2 to be different from assigning true).

In any case, this is a good starting place.  Let's queue it, see
what happens, and then think about longer-term plans.

Thanks.